> For the complete documentation index, see [llms.txt](https://docs.speedboat.studio/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.speedboat.studio/speedboat-v2/deploying-generative-nfts/prerequisites.md).

# Prerequisites

## Prerequisites

You will need to do 2 things in order to use Speedboat

1. [Get a MetaMask wallet](#getting-set-up-with-metamask)
2. [Obtain native tokens to pay for gas fees](#obtaining-matic)

### Getting Set Up with MetaMask

MetaMask is a Web 3.0 wallet and the "gateway to blockchain apps". You will need one to use Speedboat as we currently only support MetaMask.&#x20;

* You can download the MetaMask Chrome Extension by visiting their website: <https://metamask.io/>
* Once you have downloaded MetaMask, you will be asked to create a wallet
* Once you have put in a password, you will be shown a seed phrase.
  * **Write this down and store it somewhere secure, preferably offline.**

{% hint style="danger" %}
***NEVER SHARE YOUR SEED PHRASE WITH ANYONE***
{% endhint %}

* To learn more about the importance of your seed phrase, visit: <https://metamask.zendesk.com/hc/en-us/articles/4404722782107-User-guide-Secret-Recovery-Phrase-password-and-private-keys>
* To learn more about MetaMask in general, please visit: <https://metamask.zendesk.com/hc/en-us>

### Obtaining Native currencies

Depending on the network you wish to deploy your project on, you will need that network's native currency. For example, you will need ETH to use Ethereum, and BNB to use Binance Smart Chain. It is used to pay for transaction fees on the network, staking, and governance. Here are some ways to obtain them:

1. Purchase it on a centralized exchange like Binance, Coinbase, Huobi, Bitkub, or KuCoin and then transfer it to your Metamask wallet
2. If you've been on other networks such as Ethereum, BSC, or Fantom, you can bridge some tokens over with the [Synapse Bridge](https://synapseprotocol.com/?inputCurrency=USDC\&outputCurrency=MIM\&outputChain=42161).&#x20;
   1. When you bridge your assets over using Synapse, they will provide you with some tokens to pay for gas
   2. You can then swap your bridged assets into your desired currency


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.speedboat.studio/speedboat-v2/deploying-generative-nfts/prerequisites.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
